#include <bits/stdc++.h>
using namespace std;
string rez;
long long k=0;
void proveri(long long a[],long long b[], long long n) {
	long long i=0,j=0;
	for(i=0;i<n;i++) {
		if(a[i] == 0) j++;
		else if(a[i]*-1==b[i]) j++;
	}
	if(j==n) rez[k++] = 'A';
	else rez[k++] = 'E';	
}
main() {
	long long i,j,t,n;
	cin>>t;
	for(i=0;i<t;i++) {
		cin>>n;
		long long a[n],b[n];
		for(j=0;j<n;j++) cin>>b[j];
		for(j=0;j<n;j++) cin>>a[j];
		reverse(a,a+n);
		proveri(a,b,n);
	}
	for(i=0;i<k;i++) {
		if(rez[i]== 'E') cout<< "NE"<<"\n";
		else cout<< "DA"<<"\n";
	}
}